// Misc Ultima DR Data

#if !defined(_UDR_TEXT_)
#define _UDR_TEXT_

typedef struct
{
 char x;    // X pos
 char y;    // Y pos
 char *txt; // Text
}txt_type;

const char tmax = 29; // Total entries (inclusive)

const txt_type sign[]={

 {51,36,"Castle Britannia"}, // Signs
 {37,52,"Paws"},
 {76,40,"Cove"},
 {14,41,"Scara Brae"},
 {20,22,"Empath Abbey"},
 {41,15,"Yew"},
 {75,10,"Minoc"},
 {37,79,"Trinsic"},
 {13,115,"Jhelom"},
 {58,115,"Serpent's Hold"},
 {69,69,"Buccaneers' Den"},
 {75,87,"New Magnicia"},
 {114,91,"Moonglow"},
 {109,71,"The Lycaeum"},
 {60,68,"Bloody Stump Pub"},
 {66,36,"Here lies Ned\nHe is dead"},
 {68,40,"Poor old Ricker\nCaught watering liquor"},
 {34,111,"Exodus"},

// Talking

 {51,28,"Lord British: I did not summon\nyou, Avatar. ...Begone."},
 {44,54,"Jon: I just visited the castle.\nHis majesty was rude. How odd."},
 {23,21,"Yes, we were asked to summon you\nby Mystral. He was very agitated."},
 {24,21,"Mystral then ran on to Yew.\nIn quite a hurry too, I must say!"},
 {29,17,"Mystral: Avatar! The Dark Runes\nwere unearthed. Seek Aratha's\nwisdom east of Minoc."},
 {61,64,"Captain Gek: Yar, you be inst\nthe wrong place, matey."},
 {63,66,"Lennie: <hic> Yar, thar be\nbooty nearby. <hic>."},
 {30,86,"Guard: Don't talk to the prisoners."},
 {88,10,"Aratha: The Dark Runes hold EVIL.\nAll 3 can destroy the world."},

// Books

 {45,35,"Reagents: Black Pearl, Garlic,\nGinsing, Mandrake, Nightshade,\nSpider Silk, Sulfur Ash."},
 {47,37,"8 Virtues: Compassion, Honesty,\nHonor, Humility, Justice, Sacrifice,\nSpirituality and Valor."}
};

#endif // _UDR_TEXT_
